summaryrefslogtreecommitdiffstats
path: root/laptop/.bin/vscreen
diff options
context:
space:
mode:
Diffstat (limited to 'laptop/.bin/vscreen')
-rwxr-xr-xlaptop/.bin/vscreen16
1 files changed, 16 insertions, 0 deletions
diff --git a/laptop/.bin/vscreen b/laptop/.bin/vscreen
new file mode 100755
index 0000000..52fc5cc
--- /dev/null
+++ b/laptop/.bin/vscreen
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+case "$1" in
+goto)
+ xrandr --addmode VIRTUAL1 1920x1080
+ xrandr --output VIRTUAL1 --auto --output eDP1 --auto --left-of VIRTUAL1
+ i3-switch-workspace virtual
+ ;;
+off)
+ xrandr --output VIRTUAL1 --off
+ ;;
+*)
+ echo "bad subcommand $1" >&2
+ exit 1
+ ;;
+esac